"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _helperPluginUtils = require("@babel/helper-plugin-utils");

var _default = (0, _helperPluginUtils.declare)(function (api, options) {
  // See docs about api at https://babeljs.io/docs/en/config-files#apicache
  api.assertVersion("^7.2.0");
  var _options$addModuleExp = options.addModuleExports,
      addModuleExports = _options$addModuleExp === void 0 ? false : _options$addModuleExp,
      _options$comments = options.comments,
      comments = _options$comments === void 0 ? false : _options$comments,
      modules = options.modules,
      _options$shebang = options.shebang,
      shebang = _options$shebang === void 0 ? false : _options$shebang,
      targets = options.targets;

  if (typeof modules !== "undefined" && typeof modules !== "boolean" && modules !== "auto") {
    throw new TypeError("@tamland/babel-preset only accepts `true`, `false`, or `\"auto\"` as the value of the \"modules\" option");
  }

  var debug = typeof options.debug === "boolean" ? options.debug : false;
  var development = typeof options.development === "boolean" ? options.development : api.cache.using(function () {
    return process.env.NODE_ENV === "development";
  });
  return {
    comments,
    plugins: ["@babel/plugin-proposal-class-properties", "@babel/plugin-proposal-object-rest-spread", "@babel/plugin-syntax-dynamic-import", "@babel/plugin-transform-named-capturing-groups-regex", "@loadable/babel-plugin", "jsx-control-statements", addModuleExports ? "add-module-exports" : null, shebang ? ["shebang", {
      force: true,
      replacement: "#!/usr/bin/env node"
    }] : null].filter(Boolean),
    presets: ["@babel/preset-typescript", ["@babel/preset-env", {
      debug,
      modules: modules === false ? false : "auto",
      targets
    }], ["@babel/preset-react", {
      development
    }]]
  };
});

exports.default = _default;
module.exports = exports.default;